<form [formGroup]='statusCreateForm' #statusNgForm='ngForm' (submit)='handleSubmit($event, statusNgForm, statusCreateForm)'>

    <div class="input-group">
        <div class="custom-file">
            <input #myInput type="file" class="custom-file-input" id="file" (change)="handleFileInput($event.target.files)">
            <label class="custom-file-label" for="file">{{fileString}}</label>
        </div>
        <div class="input-group-append">
            <button type="submit" class="btn btn-success">Submit</button>
        </div>
    </div>

</form>
<hr>
<h5>Progress:</h5>
<div class="progress">
    <div *ngIf="uploadPercent != 'ERROR!!'" class="progress-bar bg-success" [ngStyle]="{width: uploadProgress + '%'}">{{uploadPercent}}</div>
    <div *ngIf="uploadPercent == 'ERROR!!'" class="progress-bar bg-danger" [ngStyle]="{'width': '100%'}">{{uploadPercent}}</div>
</div>
<hr>
<div *ngIf="uploadPercent == 'ERROR!!'">
    <div class="alert alert-danger" *ngFor="let error of errorArray; let i = index">
        <strong>Error {{i+1}}: </strong> {{error}}
    </div>
</div>
